Package com.io7m.idstore.server.user_view

# Class IdUVMessage

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdHTTPServletFunctional
com.io7m.idstore.server.user_view.IdUVMessage

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUVMessage extends IdHTTPServletFunctional
Display a message logged to the user's (authenticated) session.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUVMessage(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  Display a message logged to the user's (authenticated) session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdHTTPServletResponseType`
  `showMessage(IdHTTPServletRequestInformation information, IdSessionUser session, IdServerBrandingServiceType branding, IdFMTemplateType<IdFMMessageData> template)`
  Show a message from the given session.

  ### Methods inherited from class com.io7m.idstore.server.http.IdHTTPServletFunctional

  `service, service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUVMessage

    public IdUVMessage(com.io7m.repetoir.core.RPServiceDirectoryType services)
    Display a message logged to the user's (authenticated) session.
    Parameters:
      `services` - The services

- ## Method Details

  - ### showMessage

    public static IdHTTPServletResponseType showMessage(IdHTTPServletRequestInformation information, IdSessionUser session, IdServerBrandingServiceType branding, IdFMTemplateType<IdFMMessageData> template)
    Show a message from the given session.
    Parameters:
      `information` - The request information
      `session` - The user session
      `branding` - The branding resources
      `template` - The message template
    Returns:
      A formatted response